function [Rgeom] = eval_Rgeomp(~,g,~,model,gauss)
% function [Rgeom] = eval_Rgeomp(x,g,v,model,whichgrid)
% #codegen

if ~gauss
    Rgeom = model.geom.LamGpr*g(model.geom.ind_Rgeom,:);
else
    Rgeom = model.geom.LamGprgauss*g(model.geom.ind_Rgeom,:);
end

return